Skip to main content
POST
/
recipients
cURL
curl --request POST \
  --url https://sandbox.onconsul.com/v1/recipients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "nickname": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "display_name": "<string>",
  "email": "jsmith@example.com",
  "has_linked_entity": true,
  "id": "<string>",
  "total_paid_amount": "<string>",
  "business_name": {
    "company_name": "<string>"
  },
  "last_paid_at": "2023-11-07T05:31:56Z",
  "linked_entity_info": {
    "joined_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "type": "organization"
  },
  "nickname": "<string>",
  "personal_name": {
    "first_name": "<string>",
    "last_name": "<string>"
  },
  "selected_kind": "individual"
}
Create a new recipient by providing their email address and an optional nickname. When you later send a payout to this recipient, they receive a Consul wallet where they can save, spend, or withdraw their funds.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
Required string length: 1 - 255
nickname
string
Required string length: 1 - 255

Response

OK

created_at
string<date-time>
required
display_name
string
required
email
string<email>
required
has_linked_entity
boolean
required
id
string
required
total_paid_amount
string
required
business_name
object
last_paid_at
string<date-time>
linked_entity_info
object
nickname
string
personal_name
object
selected_kind
enum<string>
Available options:
individual,
business